Bug 498173 - Plymouth -> GDM ends in freeze
Plymouth -> GDM ends in freeze
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
11
All Linux
low Severity high
: ---
: ---
Assigned To: Jonathan Blandford
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-29 05:54 EDT by Sandro Mathys
Modified: 2013-04-02 00:23 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-05 15:53:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg log - f10 kernel - working (80.49 KB, text/plain)
2009-04-29 07:42 EDT, Sandro Mathys
no flags Details
Xorg log - f11 kernel - NOT working (7.31 KB, text/plain)
2009-04-29 07:43 EDT, Sandro Mathys
no flags Details
xorg.conf (124 bytes, text/plain)
2009-04-29 07:43 EDT, Sandro Mathys
no flags Details

  None (edit)
Description Sandro Mathys 2009-04-29 05:54:38 EDT
Description of problem:
When I boot my rawhide Fedora (upgraded from F10) several things happen, that rather shouldn't:
- Plymouth isn't fullscreen (i.e. only using top-left space with a too small resolution and right/bottom filled with some graphic-buffer stuff).
- When Plymouth finishes, it gets stuck. I can't really say much more about this. No GDM, no ctrl-alt-f2, no ctrl-alt-del. Basically, only pressing the power button for some secs works.

Important:
- Problem as described only occurs if I boot the F11 kernel
- With the F10 kernel, plymouth goes for the text frontend and GDM fires up fine
...not sure if this is a xorg-x11-drv-intel oder a kernel component problem.

Version-Release number of selected component (if applicable):
kernel-PAE-2.6.29.1-111.fc11.i686
kernel-PAE-2.6.27.19-170.2.35.fc10.i686
xorg-x11-drv-intel-2.7.0-2.fc11.i586

How reproducible:
Always

Steps to Reproduce:
1. Boot a f11 kernel
2. wait until it's stuck
3. 
  
Actual results:
no GDM

Expected results:
GDM

Additional info:
I don't see anything in the /var/log/messages or /var/log/Xorg.N.log but I'm not sure if that's the right logs to look in for plymouth/modesetting stuff. Also, I have no idea how I could debug this any further.
Comment 1 Matěj Cepl 2009-04-29 06:55:26 EDT
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf, if available) and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf (if you have one) whatsoever and let X11 autodetect your display and video card? Attach to this bug /var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Sandro Mathys 2009-04-29 07:42:59 EDT
Created attachment 341738 [details]
Xorg log - f10 kernel - working
Comment 3 Sandro Mathys 2009-04-29 07:43:27 EDT
Created attachment 341739 [details]
Xorg log - f11 kernel - NOT working
Comment 4 Sandro Mathys 2009-04-29 07:43:50 EDT
Created attachment 341740 [details]
xorg.conf
Comment 5 Sandro Mathys 2009-04-29 07:48:33 EDT
There you go, I attached two Xorg logs and the xorg.conf.

I have to apologize - the Xorg log actually says something (probably) useful when the problem occurs. I must have overlooked or ignored that fact.

As for the reboot without the xorg.conf - I'll try this ASAP, but as this is my laptop at work, I can't only just do this right away now. But the xorg.conf is pretty empty anyway, I think there's nothing in it that would cause 'no screens found' because of 'no modes'
Comment 6 Sandro Mathys 2009-04-29 09:15:20 EDT
A system crash allowed me to test this issue without xorg.conf, but the result (including the log files) kept the same. I now no longer use the xorg.conf anyway.
Comment 7 Adam Jackson 2009-05-08 17:58:07 EDT
Current Operating System: Linux nebuchadnezzar.ethz.ch 2.6.29-16.fc11.i686.PAE #1 SMP Fri Mar 27 21:08:06 EDT 2009 i686
Build Date: 10 March 2009  07:20:48PM
Build ID: xorg-x11-server 1.5.3-15.fc10 

You're running F10's X server on F11.  Don't do that.
Comment 8 Sandro Mathys 2009-05-18 02:06:35 EDT
This bus is still valid with F11's X server. I actually don't even know why the log (as you showed above) says it's an F10 X server...probably because I went from F10 to rawhide/F11 and there's been no newer X server back then. But I'm sure running a F11 X server on F11 now.

Some new facts:
- I no longer get a Xorg.*.log for when this problem occurs (for whatever reason)
- I tried to add 'nomodeset' to the kernel boot line (as recommended by Matej in bug 499090) and it didn't help either
- I'm now on F11, no longer on rawhide
Comment 9 Bug Zapper 2009-06-09 10:46:18 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Matěj Cepl 2009-07-03 12:33:37 EDT
(In reply to comment #8)
> This bus is still valid with F11's X server. I actually don't even know why the
> log (as you showed above) says it's an F10 X server...probably because I went
> from F10 to rawhide/F11 and there's been no newer X server back then. But I'm
> sure running a F11 X server on F11 now.
> 
> Some new facts:
> - I no longer get a Xorg.*.log for when this problem occurs (for whatever
> reason)
> - I tried to add 'nomodeset' to the kernel boot line (as recommended by Matej
> in bug 499090) and it didn't help either
> - I'm now on F11, no longer on rawhide  

Could we get then updated /var/log/Xorg.0.log and /var/log/dmesg, please?
Comment 12 Matěj Cepl 2009-11-05 13:27:45 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]

Note You need to log in before you can comment on or make changes to this bug.